<?php
/**
* GetInsertID Example
* 
* This example uses the GetInsertID method to get the ID of the last inserted AUTO_INCREMENT record.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($db->Query("INSERT tablename (field1, field2) VALUES ('field1', 'field2')"))
{
	// Get the insert ID
	$inserID = $db->GetInsertID();
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>