<?php
/**
* Query Example
* 
* This example uses the Query[Assoc, Objects, Row] functions to query a database and retrieve the 
* first result. The method shown in this example uses QueryRow but the other functions would 
* be used in the same way.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($db->QueryRow("SELECT * FROM tablename LIMIT 0,1", $row))
{
	// Do something with the data in $row
	$field0 = $row[0];
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>