<?php
/**
* Query All Example
* 
* This example uses the Query[Assoc, Object, Row]All functions to retrieve the all query results.
* The method shown in this example uses QueryRowAll but the other functions would be used in the 
* same way.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($rs = $db->QueryRowAll("SELECT * FROM tablename", $all))
{
	// Do something with the data in $all.
	foreach($all as $row)
	{
		print_r($row);
	}
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>