<?php
/**
* Instantiation Example
* 
* This example uses a ConnectionString argument to instantiate AbstractDB.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

/**
* @global AbstractDB An instance of the {@link AbstractDB} class.
*/
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost:3306/mydatabase?Options/Persistent=1"));

// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>